$kind: http-request
url: "{{Local_URL}}accounts/banks/create"
method: POST
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: |
    {
        "name": "Acme Corporation",
        "email": "info@acme.com",
        "description": "Leading supplier of widgets",
        "branches": [
            {
                "name": "Head Office",
                "contact_person": "John Doe",
                "contact_phone": "+1234567890"
            },
            {
                "name": "East Branch",
                "contact_person": "Jane Smith",
                "contact_phone": "+0987654321"
            }
        ]
    }
auth:
  type: bearer
  credentials:
    token: "{{sahara_local_token}}"
order: 3000
